package com.ruoyi.generator.mapper;

import java.util.List;
import com.ruoyi.generator.domain.SysProjectTemplate;

/**
 * 项目模板配置Mapper接口
 * 
 * @author ruoyi
 * @date 2025-05-09
 */
public interface SysProjectTemplateMapper 
{
    /**
     * 查询项目模板配置
     * 
     * @param id 项目模板配置主键
     * @return 项目模板配置
     */
    public SysProjectTemplate selectSysProjectTemplateById(Long id);

    /**
     * 查询项目模板配置列表
     * 
     * @param sysProjectTemplate 项目模板配置
     * @return 项目模板配置集合
     */
    public List<SysProjectTemplate> selectSysProjectTemplateList(SysProjectTemplate sysProjectTemplate);

    /**
     * 新增项目模板配置
     * 
     * @param sysProjectTemplate 项目模板配置
     * @return 结果
     */
    public int insertSysProjectTemplate(SysProjectTemplate sysProjectTemplate);

    /**
     * 修改项目模板配置
     * 
     * @param sysProjectTemplate 项目模板配置
     * @return 结果
     */
    public int updateSysProjectTemplate(SysProjectTemplate sysProjectTemplate);

    /**
     * 删除项目模板配置
     * 
     * @param id 项目模板配置主键
     * @return 结果
     */
    public int deleteSysProjectTemplateById(Long id);

    /**
     * 批量删除项目模板配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysProjectTemplateByIds(Long[] ids);

    /**
     * 根据项目ID查询项目模板配置列表
     *
     * @param projectId 项目ID
     * @return 项目模板配置集合
     */
    public List<SysProjectTemplate> selectSysProjectTemplateListByProjectId(Long projectId);

    int deleteSysProjectTemplateByProjectId(Long projectId);

    SysProjectTemplate selectSysProjectTemplateByProjectAndType(SysProjectTemplate sysProjectTemplate);
}
